Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451838 - Dovecot does not start when a PID file exists, regardless of whether an actual dovecot process runs
Summary: Dovecot does not start when a PID file exists, regardless of whether an actua...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot
Version: 8
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-17 18:21 UTC by Filip Miletic
Modified: 2008-07-01 10:21 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-01 10:21:36 UTC


Attachments (Terms of Use)

Description Filip Miletic 2008-06-17 18:21:43 UTC
Description of problem:


Version-Release number of selected component (if applicable):
dovecot-1.0.13-6.fc8

How reproducible:
Dovecot sometimes crashes, or does not wake up with the rest of the system from
hibernation.  Attempting to restart the daemon manually fails:
root@cow:/home/filip
$ /etc/init.d/dovecot restart
Stoppen van Dovecot Imap:                                  [MISLUKT]
Starten van Dovecot Imap: Fatal: Dovecot is already running with PID 2112 (read
from /var/run/dovecot/master.pid)
                                                           [MISLUKT]
(mislukt =-> failed)
  
Actual results:
Dovecot does not restart, but rather prints an error message and quits.

However, asking for the status:
root@cow:/home/filip
$ LC_ALL=en_US /etc/init.d/dovecot status
dovecot is stopped
leading one to think there would be a way to figure out that dovecot is not
running and therefore restart it.

Expected results:
Dovecot should figure out that there's no dovecot process currently running and
proceed.

Additional info:

Comment 1 Dan Horák 2008-06-18 10:17:43 UTC
problem is in non-standard location of the pid file, but the correct path can be
specified as a parameter in the init script

Comment 2 Fedora Update System 2008-06-18 19:55:54 UTC
dovecot-1.0.14-9.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-06-18 19:57:02 UTC
dovecot-1.0.14-9.fc8 has been submitted as an update for Fedora 8

Comment 4 Fedora Update System 2008-06-20 19:06:50 UTC
dovecot-1.0.14-9.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dovecot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5472


Note You need to log in before you can comment on or make changes to this bug.